Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.gems.constraints
Class Anything

    java.lang.Object
      org.picocontainer.parameters.CollectionComponentParameter
          org.picocontainer.gems.constraints.AbstractConstraint
              org.picocontainer.gems.constraints.Anything

All Implemented Interfaces:
  Serializable, Constraint, org.picocontainer.Parameter

    public class Anything

extends AbstractConstraint

A constraint that matches any component adapter.

Author:
  Nick Sieger
See Also:
  Serialized Form

Field Summary
`static Anything` | `ANYTHING`

Fields inherited from class org.picocontainer.parameters.CollectionComponentParameter
`ARRAY, ARRAY_ALLOW_EMPTY`

Fields inherited from interface org.picocontainer.Parameter
`DEFAULT, ZERO`

Constructor Summary
`Anything()`

Method Summary
`boolean` | `evaluate(org.picocontainer.ComponentAdapter adapter)` Evaluate whether the given component adapter matches this constraint.

Methods inherited from class org.picocontainer.gems.constraints.AbstractConstraint
`getMatchingComponentAdapters, isResolvable, resolveInstance, verify`

Methods inherited from class org.picocontainer.parameters.CollectionComponentParameter
`accept`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.picocontainer.Parameter
`accept`

Field Detail

### ANYTHING

    public static final Anything ANYTHING

Constructor Detail

### Anything

    public Anything()

Method Detail

### evaluate

    public boolean evaluate(org.picocontainer.ComponentAdapter adapter)

  Description copied from interface: `Constraint`
  Evaluate whether the given component adapter matches this constraint.

  Specified by:
    `evaluate` in interface `Constraint`
  Specified by:
    `evaluate` in class `AbstractConstraint`
  Parameters:
    `adapter` - a `ComponentAdapter` value
  Returns:
    true if the adapter matches the constraint

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.